org.h2.mvstore.tx

## Interface TransactionStore.RollbackListener

All Known Implementing Classes:
  SessionLocal

Enclosing class:
  TransactionStore

    public static interface TransactionStore.RollbackListener

This listener can be registered with the transaction to be notified of every compensating change during transaction rollback. Normally this is not required, if no external resources were modified, because state of all transactional maps will be restored automatically. Only state of external resources, possibly modified by triggers need to be restored.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onRollback(MVMap<java.lang.Object,VersionedValue<java.lang.Object>> map, java.lang.Object key, VersionedValue<java.lang.Object> existingValue, VersionedValue<java.lang.Object> restoredValue)` Notified of a single map change (add/update/remove)

### Method Detail

#### onRollback

    void onRollback(MVMap<java.lang.Object,VersionedValue<java.lang.Object>> map,
                    java.lang.Object key,
                    VersionedValue<java.lang.Object> existingValue,
                    VersionedValue<java.lang.Object> restoredValue)

Notified of a single map change (add/update/remove)

Parameters:
  `map` - modified
  `key` - of the modified entry
  `existingValue` - value in the map (null if delete is rolled back)
  `restoredValue` - value to be restored (null if add is rolled back)